Index: branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c
===================================================================
--- branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c	(revision 5659)
+++ branches/2015/dev_r5072_UKMO2_OBS_simplification/NEMOGCM/EXTERNAL/AGRIF/LIB/toamr.c	(revision 5682)
@@ -557,32 +438,30 @@
 /*                                                                            */
 /******************************************************************************/
-void write_Getnumberofcells_file(char *name)
-{
-  char ligne[LONG_C];
-  FILE *getnumberofcells;
-
-  if ( IndicenbmaillesX != 0 )
-  {
-  getnumberofcells=associate(name);
-  sprintf (ligne,
-           "Agrif_Curgrid %% tabvars(%d) %% var %% iarray0 = Agrif_Gr %% nb(1)",
-           IndicenbmaillesX);
-  tofich (getnumberofcells, ligne,1);
-  if (dimprob > 1)
-    {
-      sprintf (ligne,
-           "Agrif_Curgrid %% tabvars(%d) %% var %% iarray0 = Agrif_Gr %% nb(2)",
-           IndicenbmaillesY);
-      tofich (getnumberofcells, ligne,1);
-    }
-  if (dimprob > 2)
-    {
-      sprintf (ligne,
-           "Agrif_Curgrid %% tabvars(%d) %% var %% iarray0 = Agrif_Gr %% nb(3)",
-           IndicenbmaillesZ);
-      tofich (getnumberofcells, ligne,1);
-    }
-  fclose (getnumberofcells);
-  }
+void write_Getnumberofcells_file()
+{
+    char ligne[LONG_VNAME];
+    char cformat[LONG_VNAME];
+    FILE *getnumberofcells;
+
+    if ( IndicenbmaillesX == 0 )    return;
+
+    strcpy(cformat, "Agrif_Curgrid %% tabvars_i(%d) %% iarray0 = Agrif_Gr %% nb(%d)");
+
+    getnumberofcells = open_for_write("GetNumberofcells.h");
+
+    sprintf(ligne, cformat, IndicenbmaillesX, 1);
+    tofich(getnumberofcells, ligne, 1);
+
+    if (dimprob > 1)
+    {
+        sprintf(ligne, cformat, IndicenbmaillesY, 2);
+        tofich(getnumberofcells, ligne,1);
+    }
+    if (dimprob > 2)
+    {
+        sprintf(ligne, cformat, IndicenbmaillesZ, 3);
+        tofich(getnumberofcells, ligne,1);
+    }
+    fclose(getnumberofcells);
 }
 
@@ -595,24 +474,17 @@
 /*                                                                            */
 /*              ! variable                                                    */
-/*              Agrif_Gr % tabvars(i) % var % nbdim = 1                       */
-/*                                                                            */
-/******************************************************************************/
-void write_initialisationsagrif_file(variable *v,FILE *initproc,
-                                     int *VarnameEmpty)
-{
-  char ligne[LONG_C];
-  char temp1[LONG_C];
-  char *tmp;
-
-  tmp = variablenameroottabvars (v);
-  strcpy (temp1, tmp);
-  if ( todebugfree == 1 ) free(tmp);
-
-  if ( v->v_nbdim != 0 )
-  {
-     *VarnameEmpty = 0 ;
-     sprintf (ligne, "%s %% nbdim = %d", temp1, v->v_nbdim);
-     tofich (initproc, ligne,1);
-  }
+/*              Agrif_Gr % tabvars(i) % nbdim = 1                             */
+/*                                                                            */
+/******************************************************************************/
+void write_initialisationsagrif_file(variable *v,FILE *initproc,int *VarnameEmpty)
+{
+    char ligne[LONG_M];
+
+    if ( v->v_nbdim != 0 )
+    {
+        *VarnameEmpty = 0 ;
+        sprintf(ligne,"Agrif_Mygrid %% %s(%d) %% nbdim = %d", tabvarsname(v), v->v_indicetabvars, v->v_nbdim);
+        tofich (initproc, ligne,1);
+    }
 }
 
@@ -624,13 +496,12 @@
    FILE *AllocUSE;
 
-   AllocUSE= associate("include_use_Alloc_agrif.h");
-   alloccalls = associate("allocations_calls_agrif.h");
+   AllocUSE= open_for_write("include_use_Alloc_agrif.h");
+   alloccalls = open_for_write("allocations_calls_agrif.h");
 
    parcours = List_Subroutine_For_Alloc;
    while ( parcours )
    {
-      fprintf(AllocUSE,"      USE %s\n", parcours -> o_nom );
-      fprintf (alloccalls,"      Call Alloc_agrif_%s(Agrif_Gr)\n",
-                                                            parcours -> o_nom );
+      fprintf(AllocUSE,"      use %s, only: Alloc_agrif_%s\n", parcours -> o_nom, parcours -> o_nom );
+      fprintf (alloccalls,"      call Alloc_agrif_%s(Agrif_Gr)\n", parcours -> o_nom );
       parcours = parcours -> suiv;
    }
